summaryrefslogtreecommitdiff
path: root/qa/GNUmakefile.install
diff options
context:
space:
mode:
Diffstat (limited to 'qa/GNUmakefile.install')
-rw-r--r--qa/GNUmakefile.install58
1 files changed, 58 insertions, 0 deletions
diff --git a/qa/GNUmakefile.install b/qa/GNUmakefile.install
new file mode 100644
index 0000000..a1c3424
--- /dev/null
+++ b/qa/GNUmakefile.install
@@ -0,0 +1,58 @@
+#!gmake
+#
+# Copyright (c) 1997-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+# NB: this file is renamed GNUmakefile upon installation into $PCP_VAR_DIR/testsuite.
+# It is only for executing the testsuite.
+
+ifdef PCP_CONF
+include $(PCP_CONF)
+else
+include $(PCP_DIR)/etc/pcp.conf
+endif
+PATH = $(shell . $(PCP_DIR)/etc/pcp.env; echo $$PATH)
+include $(PCP_INC_DIR)/builddefs
+
+# special variant of SUBDIRS_MAKERULE for running QA in the tree
+#
+SUBDIRS_MAKERULE = \
+ @for d in `echo $^ `; do \
+ if test -d "$$d" ; then \
+ $(ECHO) === $$d ===; \
+ if test -f "$$d/GNUmakefile.install"; then \
+ $(MAKE) -C $$d -f GNUmakefile.install $@ || exit $$?; \
+ else \
+ $(MAKE) -C $$d $@ || exit $$?; \
+ fi; \
+ fi; \
+ done
+
+SUBDIRS = src pmdas secure
+
+default_pcp default setup: $(SUBDIRS) localconfig new remake check qa_hosts
+ $(SUBDIRS_MAKERULE)
+
+LDIRT += 051.work 134.full.* \
+ *.bak *.bad *.core *.full *.raw *.o core a.out core.* \
+ *.log eek* urk* so_locations tmp.* gmon.out oss.qa.tar.gz \
+ *.full.ok *.new rc_cron_check.clean \
+ make.out qa_hosts localconfig localconfig.h check.time
+ # these ones are links to the real files created when the associated
+ # test is run
+LDIRT += $(shell [ -f .gitignore ] && grep '\.out$$' .gitignore)
+
+qa_hosts: qa_hosts.master mk.qa_hosts
+ PATH=$(PATH); ./mk.qa_hosts
+
+localconfig:
+ PATH=$(PATH); ./mk.localconfig
+
+install_pcp install:
+ @echo The PCP QA testsuite is already installed.
+ false
+
+include $(BUILDRULES)
+
+# Local variables:
+# mode: makefile
+# End: